PACINFO(1)

BEZEICHNUNG
pacinfo - Paketinformationen anzeigen

ÜBERSICHT
 pacinfo [Optionen] (<Paketangabe>|<Paketname>) …
 pacinfo (--help|--version)

BESCHREIBUNG
Falls ein Paketname angegeben ist, werden Informationen zu allen Paketen, die auf diesen Namen passen, aus allen Datenbanken ausgegeben.

Falls die Standardeingabe nicht mit einem Terminal verbunden ist, werden die Pakete aus der Standardeingabe gelesen.

OPTIONEN

--config=Pfad
    gibt den Pfad zu einer alternativen Konfigurationsdatei an.

--dbext=Erweiterung
    gibt eine alternative synchronisierte Datenbankerweiterung an.

--dbpath=Pfad
    gibt den Pfad zu einer alternativen Datenbank an.

--root=Pfad
    gibt eine alternative Installationswurzel an.

--sysroot=Pfad
    gibt eine alternative Systemwurzel an. Siehe pacutils-sysroot(7).

--null[=Trenner]
    gibt einen alternativen Trenner für Werte an, die aus der Standardeingabe gelesen werden. Standardmäßig wird ein Zeilenvorschub »\n« als Trenner verwendet. Falls Sie --null verwenden, ohne einen Trenner anzugeben, wird »NUL« (das Nullbyte) verwendet.

--no-timeout
    deaktiviert für Downloads Zeitüberschreitungen bei niedriger Geschwindigkeit.

--short
    zeigt verkürzte Informationen an. Dies ist für die Ausgabe einer potenziell großen Paketanzahl geeignet:

     pacsift --name libreoffice | pacinfo --short

--verbose
    zeigt zusätzliche Paketinformationen an: "benötigt von", "optional für" und "Base64-Signatur".

--raw
    zeigt rohe numerische Werte für Größe und Datum an.

--removable-size
    bezieht die Größe aller entfernbarer Abhängigkeiten in die installierte Größe ein.

--help
    zeigt Hinweise zur Verwendung an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

WARNUNGEN
pacinfo ermittelt durch eine einfache Überprüfung mit isatty(3), ob Pakete aus der Standardeingabe gelesen werden sollen oder nicht. Falls pacinfo in einer Umgebung aufgerufen wird, beispielsweise in einer Shellfunktion oder einem Skript, das in einer Pipe verwendet wird, wobei die Standardeingabe nicht mit einem Terminal verbunden ist, aber keine auszugebenden Pakete enthält, sollte pacinfo mit geschlossener Standardeingabe aufgerufen werden. Für POSIX-kompatible Shells können Sie dies mit »<&-« erreichen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.